Attribute VB_Name = "ConnectionFunctions"
Option Explicit
Type DRIVERDESCRIPTION
    DriverName As String * 100
    DriverVersion As String * 100
End Type
Type ALLDRIVERSDESCRIPTION
    AllDevices(0 To 9) As DRIVERDESCRIPTION
    TotalDevices As Long
End Type
'Connection function
Public Function GetCaptureDeviceDescription(ByVal DeviceNum As Long, ByRef Desc As DRIVERDESCRIPTION) As Boolean
  GetCaptureDeviceDescription = capGetDriverDescriptionA(DeviceNum, Desc.DriverName, Len(Desc.DriverName), Desc.DriverVersion, Len(Desc.DriverVersion))
End Function
Public Function CreateCaptureWindow(ByVal DevName As String, ByVal Attrib As Long, ByVal X1 As Long, ByVal Y1 As Long, ByVal X2 As Long, ByVal Y2 As Long, ByVal CaptureWindow As Long, ByVal WindowID As Long) As Long
  CreateCaptureWindow = capCreateCaptureWindowA(DevName, Attrib, X1, Y1, X2, Y2, CaptureWindow, WindowID)
End Function
Public Function ConnectWindowToDriver(ByVal CaptureWindow As Long, ByVal DeviceNum As Long) As Boolean
  ConnectWindowToDriver = capDriverConnect(CaptureWindow, DeviceNum)
End Function
Public Function EnumCapDevices(ByRef AllDevs As ALLDRIVERSDESCRIPTION) As Long
  Dim i As Integer
  Const MaxDevices As Long = 9
  AllDevs.TotalDevices = 0
  For i = 0 To MaxDevices
    If GetCaptureDeviceDescription(i, AllDevs.AllDevices(i)) Then
      AllDevs.TotalDevices = AllDevs.TotalDevices + 1
    End If
  Next i
  EnumCapDevices = AllDevs.TotalDevices
End Function
